Subject: Re: Question about rewrite commits

From: Dirk Süsserott <[email-masked]>
Date: Tue, 05 May 2009 21:46:25 +0200

Hi Anner,

I had these 'cosmetic' problems as well and did the surgery like this:

I assume that your commits
    'Introduced...',
    'No HTML...', and
    'A page can now ...'
are on branch 'master' and the righthand track is on branch 
'console-mvc' which starts at 'Introduced...'.
Finally you did 'git checkout master; git merge console-mvc'.

I did the following:
     - give a tag (say 'foo') to the 'No HTML...' commit
     - rebase the console-mvc branch to that tag:
         $ git rebase foo console-mvc
       this will yield to a weird road map in gitk. Don't bother.
     - rebase the master to the new console-mvc branch:
         $ git rebase console-mvc master
       the history will now be linear.
     - remove the tag 'foo'

You may, of course, omit the tagging when you know the sha1's of the 
commits. In your case you will, as they're displayed in gitk.
[ In theory there's a way to identify commits by their commit message 
(see manpage of git-rev-parse), but I didn't make it work. As I 
understood "git show :/foo" would mention the latest commit whose commit 
message starts with 'foo', but I only got error messages. ]

Be noticed that rewriting history isn't a good idea if you already have 
published your work. Your coworkers may get disturbed. ;-)

Hope this helps,

     Dirk

Am 05.05.2009 13:45 schrieb Anner van Hardenbroek:
> Hi!
> 
> I've a question about rewriting commits. I'd like to change the
> branches so that "Introduced BTRmxSoapArgument, second fase + code
> cleanup." is right below (a straight vertical line) "No HTML errors
> because we have nice ones!". How can I do that?
> 
> Thanks,
> Anner.
> 
> --
> Anner van Hardenbroek,
> [email-masked]
> 
> 
> ------------------------------------------------------------------------
>